using System;
using System.Windows.Threading;

internal sealed class Delegate375 : MulticastDelegate
{
	public extern DispatcherOperation Invoke(object object_0, Delegate delegate_0, DispatcherPriority dispatcherPriority_0, object[] object_1);

	public static DispatcherOperation smethod_0(object object_0, Delegate delegate_0, DispatcherPriority dispatcherPriority_0, object[] object_1, Delegate375 delegate375_1)
	{
		return delegate375_1(object_0, delegate_0, dispatcherPriority_0, object_1);
	}

	public extern Delegate375(object object_0, IntPtr intptr_0);

	static Delegate375()
	{
		Class10.smethod_13(typeof(Delegate375).TypeHandle);
	}

	internal static Delegate375 delegate375_0;
}
